Subject: Re: [v6ops] [DNSOP] draft-ietf-v6ops-v6-aaaa-whitelisting-implications-01

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 31 Jan 2011 19:22:35 +0000

Nick - Thanks for your feedback and for reviewing the draft! I will add
these references to the -02 update.

Thanks!
Jason

On 1/26/11 11:04 AM, "Nicholas Weaver" <[email-masked]> wrote:

>
>On Jan 26, 2011, at 4:39 AM, Livingood, Jason wrote:
>
>> At the last IETF meeting I presented my individual I-D on IPv6 DNS
>>whitelisting. This was subsequently adopted as a WG item in v6ops.
>>Yesterday, I posted a new -01 version of this draft for WG feedback by
>>v6ops and dnsop at
>>http://tools.ietf.org/html/draft-ietf-v6ops-v6-aaaa-whitelisting-implicat
>>ions-01. I expect to receive some feedback, primarily in v6ops, and then
>>quickly incorporate that into a 02 which will then hopefully be mature
>>enough to stand for a WGLC. --> There are several items listed below
>>that I am seeking specific dnsop WG feedback on. <--
>> 
>> 1 - Figure 2 has been updated. As was pointed out at the IETF meeting,
>>this was a bit lacking in detail (did not show both A and AAAA queries).
>>Let me know if this updated figure is suitable or if it still could use
>>some tweaks.
>> 
>> 2  Section 4.2: Any good reference(s) to round robin DNS as a load
>>balancing technique?
>
>Actually far more than just round robin:
>
>http://www.stanford.edu/~riepel/lbnamed/
>
>Described in LISA IX, 1995
>
>http://www.stanford.edu/~riepel/lbnamed/lisa95-paper.ps
>
>
>Round robin code in Bind dates back to at least then if not before, the
>current usage is the rrset-order option:
>http://www.zytrax.com/books/dns/ch7/queries.html#rrset-order
>
>
>> 3  Section 4.2: Any good reference(s) to the technical subject of load
>>balancing in general?
>> 
>> 4  Section 4.2: Any good reference(s) to the practice of CDNs varying
>>their DNS query responses based on an estimated geographic location?
>
>There's the IMC measurement paper on DNS which showed very big
>differences between local and third party DNS for akamai'ed sites:
>
>http://conferences.sigcomm.org/imc/2010/papers/p15.pdf
>
>(Its also a good datapoint for why edns-client-subnet would be a good
>idea if you want good results from 3rd party DNS)
>
>That if you are using your ISP's resolver, you get a lot more results in
>the ISP's AS.  So they are using NETWORK location of the resolver for
>this at least.
>
>
>
>You can see the results for geographic as well somewhat if you look at
>google's returned results (you get east coast, I get west coast), but I
>don't know of a citation for it.
>
>
>> 
>> Thanks in advace!
>> Jason
>> _______________________________________________
>> DNSOP mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dnsop
>